Siena C++ API Documentation
Author: Antonio Carzaniga

Siena C++ API documentation (v. 0.4.3)

- Main Page
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# AttributeConstraint Class Reference

`#include <Siena.h>`

List of all members.

## Public Member Functions
| AttributeConstraint ()
| AttributeConstraint (const AttributeValue &v)
| AttributeConstraint (SXOperator o, const AttributeValue &v)
| AttributeConstraint (const AttributeConstraint &c)
AttributeConstraint & | operator= (const AttributeConstraint &c)
AttributeConstraint & | operator= (const AttributeValue &v)
bool | operator== (const AttributeConstraint &c) const
bool | apply_to (const AttributeValue &v)
## Public Attributes
SXOperator | op
AttributeValue | value

## Detailed Description

attribute constraint

An `AttributeConstraint` represents a condition posed on an attribute value. It stores an operator plus a comparison value. The meaning of an attribute constraint is defined by its method `apply_to`

See also:
  AttributeValue

## Constructor & Destructor Documentation

AttributeConstraint::AttributeConstraint | ( |  | ) |

default constructor

`op` defaults to `SX_eq`, the comparison value is null.

AttributeConstraint::AttributeConstraint | ( | const AttributeValue & | v | ) |

construct from an AttributeValue

`op` defaults to `SX_eq` (equality), the comparison value is initialized with `v`.

Parameters:

  | v | initializes the comparison value

AttributeConstraint::AttributeConstraint | ( | SXOperator | o,
|  | const AttributeValue & | v |
| ) |  |  |

construct from an AttributeValue and a SXOperator

Parameters:

  | o | the operator `op`
  | v | the comparison value

AttributeConstraint::AttributeConstraint | ( | const AttributeConstraint & | c | ) |

copy constructor

## Member Function Documentation

AttributeConstraint& AttributeConstraint::operator= | ( | const AttributeConstraint & | c | ) |

copy assignment

AttributeConstraint& AttributeConstraint::operator= | ( | const AttributeValue & | v | ) |

assignment from an AttributeValue

assigns the comparison value using `SX_eq` as the comparison operator

Parameters:

  | v | comparison value

bool AttributeConstraint::operator== | ( | const AttributeConstraint & | c | ) | const

equality operator

bool AttributeConstraint::apply_to | ( | const AttributeValue & | v | ) |

applies this constraint to an attribute value

Parameters:

  | v | value to verify against `this` constraint

## Member Data Documentation

SXOperator AttributeConstraint::op

the constraint operator

AttributeValue AttributeConstraint::value

the comparison value

The documentation for this class was generated from the following file:

- Siena.h

Copyright © 2001 University of Colorado.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License". This documentation is authored and maintained by Antonio Carzaniga